org.apache.olingo.odata2.client.core.ep.serializer

## Class XmlPropertyEntitySerializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.serializer.XmlPropertyEntitySerializer

-     public class XmlPropertyEntitySerializer
      extends Object

  Internal EntityProvider for simple and complex EDM properties which are pre-analyzed as `EntityPropertyInfo`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlPropertyEntitySerializer(boolean validateFacets)`
    `XmlPropertyEntitySerializer(EntitySerializerProperties writeProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(XMLStreamWriter writer, String name, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, Object value)` Append `Object` `value` based on `EntityPropertyInfo` to `XMLStreamWriter` in an already existing XML structure inside the d namespace.
    `void` | `appendCustomProperty(XMLStreamWriter writer, String name, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, Object value)` Serializes custom properties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlPropertyEntitySerializer

          public XmlPropertyEntitySerializer(EntitySerializerProperties writeProperties)

      Parameters:
        `writeProperties` -

    - #### XmlPropertyEntitySerializer

          public XmlPropertyEntitySerializer(boolean validateFacets)

      Parameters:
        `validateFacets` -

  - ### Method Detail

    - #### append

          public void append(XMLStreamWriter writer,
                             String name,
                             org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                             Object value)
                      throws EntityProviderException

      Append `Object` `value` based on `EntityPropertyInfo` to `XMLStreamWriter` in an already existing XML structure inside the d namespace.
      Parameters:
        `writer` -
        `name` - Name of the outer XML tag
        `propertyInfo` -
        `value` -
      Throws:
        `EntityProviderException`

    - #### appendCustomProperty

          public void appendCustomProperty(XMLStreamWriter writer,
                                           String name,
                                           org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                           Object value)
                                    throws EntityProviderException

      Serializes custom properties
      Parameters:
        `writer` -
        `name` -
        `propertyInfo` -
        `value` -
      Throws:
        `EntityProviderException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.